PHPExcel_CachedObjectStorage

# Class: PHPExcel_CachedObjectStorage_ICache

Source Location: /PHPExcel/CachedObjectStorage/ICache.php

### Interface Overview

PHPExcel_CachedObjectStorage_ICache

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- addCacheData
- cacheMethodIsAvailable
- copyCellCollection
- deleteCacheData
- getCacheData
- getCellList
- getSortedCellList
- isDataSet
- updateCacheData

### Class Details

[line 36]
PHPExcel_CachedObjectStorage_ICache

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### static method cacheMethodIsAvailable [line 110]

`static boolean cacheMethodIsAvailable( )`

Identify whether the caching method is currently available Some methods are dependent on the availability of certain extensions being enabled in the PHP build

#### Tags:

access: | public

[ Top ]

### method addCacheData [line 46]

`void addCacheData( string $pCoord, PHPExcel_Cell $cell)`

Add or Update a cell in cache identified by coordinate address

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $pCoord | Coordinate address of the cell to update
PHPExcel_Cell | $cell | Cell to update

[ Top ]

### method copyCellCollection [line 102]

`void copyCellCollection( PHPExcel_Worksheet $parent)`

Clone the cell collection

#### Tags:

access: | public

#### Parameters:

PHPExcel_Worksheet | $parent | The new worksheet

[ Top ]

### method deleteCacheData [line 72]

`void deleteCacheData( string $pCoord)`

Delete a cell in cache identified by coordinate address

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $pCoord | Coordinate address of the cell to delete

[ Top ]

### method getCacheData [line 64]

`PHPExcel_Cell getCacheData( string $pCoord)`

Fetch a cell from cache identified by coordinate address

#### Tags:

return: | Cell that was found, or null if not found
throws: | Exception
access: | public

#### Parameters:

string | $pCoord | Coordinate address of the cell to retrieve

[ Top ]

### method getCellList [line 87]

`array getCellList( )`

Get a list of all cell addresses currently held in cache

#### Tags:

return: | of string
access: | public

[ Top ]

### method getSortedCellList [line 94]

`void getSortedCellList( )`

Get the list of all cell addresses currently held in cache sorted by column and row

#### Tags:

access: | public

[ Top ]

### method isDataSet [line 80]

`boolean isDataSet( string $pCoord)`

Is a value set in the current PHPExcel_CachedObjectStorage_ICache for an indexed cell?

#### Tags:

access: | public

#### Parameters:

string | $pCoord | Coordinate address of the cell to check

[ Top ]

### method updateCacheData [line 55]

`void updateCacheData( PHPExcel_Cell $cell)`

Add or Update a cell in cache

#### Tags:

throws: | Exception
access: | public

#### Parameters:

PHPExcel_Cell | $cell | Cell to update

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:30 +0200 by phpDocumentor 1.4.4